Bug 1777713 - Repository info does not show assigned http_proxy details using hammer CLI
Summary: Repository info does not show assigned http_proxy details using hammer CLI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.7.0
Assignee: Chris Roberts
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks: 1774324
TreeView+ depends on / blocked
 
Reported: 2019-11-28 06:53 UTC by vijsingh
Modified: 2020-04-14 13:27 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-hammer_cli_katello-0.20.2.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28177 Normal Closed Repository info does not show assigned http_proxy details using hammer CLI 2020-04-15 09:58:30 UTC
Foreman Issue Tracker 28486 Normal Closed Repository info does not show assigned http_proxy policy 2020-04-15 09:58:31 UTC
Foreman Issue Tracker 28864 Normal Closed hammer repository info commands shows "Http Proxy Policy" in products section instead of showing it in Http Proxy sectio... 2020-04-15 09:58:30 UTC
Github Katello hammer-cli-katello pull 708 None closed Fixes #28177 - Add http-proxy to repo info command 2020-04-15 09:58:30 UTC
Github Katello hammer-cli-katello pull 712 None closed Fixes #28486 - Add proxy_policy to repo info. 2020-04-15 09:58:30 UTC
Github Katello hammer-cli-katello pull 719 None closed Fixes #28864 - Add policy to repo proxy info 2020-04-15 09:58:31 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:40 UTC

Description vijsingh 2019-11-28 06:53:40 UTC
Description of problem:

Repository info does not show assigned http_proxy details using hammer CLI


Version-Release number of selected component (if applicable):

@Satellite 6.7.0 snap 3,0

How reproducible:

Always

Steps to Reproduce:
1. Create a repo with any proxy details and see info using below:
_________________________________________________________
hammer> repository info --id 1
ID:                 1
Name:               Repo1
Label:              Repo1
Organization:       Default Organization
Red Hat Repository: no
Content Type:       yum
Mirror on Sync:     yes
URL:                https://repos.fedorapeople.org/repos/pulp/pulp/fixtures/srpm/
Publish Via HTTP:   yes
Published At:       http://srpm-centos7-katello-devel.vijsingh.example.com/pulp/repos/Default_Organization/Library/custom/Prod1/Repo1/
Relative Path:      Default_Organization/Library/custom/Prod1/Repo1
Download Policy:    immediate
Product:            
    ID:   1
    Name: Prod1
GPG Key:            

Sync:               
    Status:         Success
    Last Sync Date: 10 days
Created:            2019/10/22 08:00:51
Updated:            2019/10/22 08:00:53
Content Counts:     
    Packages:       0
    Source RPMS:    0
    Package Groups: 2
    Errata:         2
    Module Streams: 0
_________________________________________________________


Actual results:

 Repository info does not show assigned http_proxy details using hammer CLI

Expected results:

  Repository info should show assigned http_proxy details using hammer CLI

Additional info:

Related to feature 'Content Management: HTTP Proxy Updates for Repositories'

Comment 4 Bryan Kearney 2019-12-03 19:00:44 UTC
Upstream bug assigned to chrobert@redhat.com

Comment 5 Bryan Kearney 2019-12-03 19:00:46 UTC
Upstream bug assigned to chrobert@redhat.com

Comment 12 Jameer Pathan 2020-01-21 07:29:32 UTC
FailedQA

- Satellite 6.7.0 snap 9

Test Steps:
- Create Products with repositories.
- Assign Http proxy to products/repositories.

Observation:
- "hammer repository info" commands shows "Http Proxy Policy" in products
section instead of showing it in Http Proxy section.

Actual Result:

hammer> repository info --id 48
ID:                 48
Name:               repo1
Label:              repo1
Organization:       Default Organization
Red Hat Repository: no
Content Type:       yum
Mirror on Sync:     yes
URL:                https://oijdofs
Publish Via HTTP:   yes
Published At:       http://hostname.example.com/pulp/repos/Default_Organization/Library/custom/pro1/repo1/
Relative Path:      Default_Organization/Library/custom/pro1/repo1
Download Policy:    on_demand
Http Proxy:         
    ID:   5
    Name: proxy5
Product:            
    ID:                62
    Name:              pro1
    Http Proxy Policy: use_selected_http_proxy
GPG Key:            

Sync:               
    Status: Not Synced
Created:            2020/01/21 05:20:13
Updated:            2020/01/21 06:33:29
Content Counts:     
    Packages:       0
    Source RPMS:    0
    Package Groups: 0
    Errata:         0
    Module Streams: 0

Expected result:

hammer> repository info --id 48
ID:                 48
Name:               repo1
Label:              repo1
Organization:       Default Organization
Red Hat Repository: no
Content Type:       yum
Mirror on Sync:     yes
URL:                https://oijdofs
Publish Via HTTP:   yes
Published At:       http://hostname.example.com/pulp/repos/Default_Organization/Library/custom/pro1/repo1/
Relative Path:      Default_Organization/Library/custom/pro1/repo1
Download Policy:    on_demand
Http Proxy:         
    ID:   5
    Name: proxy5
    Http Proxy Policy: use_selected_http_proxy
Product:            
    ID:                62
    Name:              pro1
GPG Key:            

Sync:               
    Status: Not Synced
Created:            2020/01/21 05:20:13
Updated:            2020/01/21 06:33:29
Content Counts:     
    Packages:       0
    Source RPMS:    0
    Package Groups: 0
    Errata:         0
    Module Streams: 0

Additional info:
- When repository uses global proxy then Http Proxy's Id is not shown in repository info command.

hammer> repository info --id 55
ID:                 55
Name:               Repo1_Proxy
Label:              Repo1_Proxy
Organization:       Default Organization
Red Hat Repository: no
Content Type:       yum
Mirror on Sync:     yes
URL:                
Publish Via HTTP:   yes
Published At:       http://hostname.example.com/pulp/repos/Default_Organization/Library/custom/Prod_proxy1/Repo1_Proxy/
Relative Path:      Default_Organization/Library/custom/Prod_proxy1/Repo1_Proxy
Download Policy:    on_demand
Http Proxy:         
    Name: proxy1
Product:            
    ID:                65
    Name:              Prod_proxy1
    Http Proxy Policy: global_default_http_proxy
GPG Key:            

Sync:               
    Status: Not Synced
Created:            2020/01/21 07:16:13
Updated:            2020/01/21 07:16:14
Content Counts:     
    Packages:       0
    Source RPMS:    0
    Package Groups: 0
    Errata:         0
    Module Streams: 0

Comment 13 Bryan Kearney 2020-01-27 23:00:51 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28177 has been resolved.

Comment 15 Jameer Pathan 2020-02-10 10:20:35 UTC
Verified

Verified with:
- Satellite 6.7.0 snap 11

Test Steps:
- Create Products with repositories.
- Assign Http proxy to products/repositories.

Observation:
- "hammer repository info" command now shows "Http Proxy Policy" in Http Proxy section.

hammer> repository create --name repo1 --product pro1 --organization-id 1 --url "https://test.com" --content-type "yum" --http-proxy-policy "use_selected_http_proxy" --http-proxy-id 1
Repository created.
hammer> repository info --name repo1 --product pro1 --organization-id 1
ID:                 1
Name:               repo1
Label:              repo1
Organization:       Default Organization
Red Hat Repository: no
Content Type:       yum
Mirror on Sync:     yes
URL:                https://test.com
Publish Via HTTP:   yes
Published At:       http://hostname.example.com/pulp/repos/Default_Organization/Library/custom/pro1/repo1/
Relative Path:      Default_Organization/Library/custom/pro1/repo1
Download Policy:    immediate
HTTP Proxy:         
    ID:                1
    Name:              proxy1
    HTTP Proxy Policy: use_selected_http_proxy
Product:            
    ID:   1
    Name: pro1
GPG Key:            

Sync:               
    Status: Not Synced
Created:            2020/02/10 09:48:24
Updated:            2020/02/10 09:48:26
Content Counts:     
    Packages:       0
    Source RPMS:    0
    Package Groups: 0
    Errata:         0
    Module Streams: 0

Comment 18 errata-xmlrpc 2020-04-14 13:27:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.